import Vue from 'vue'
import Router from 'vue-router'
import result from '../pages/result'
import error from '../pages/error'
import message from '../pages/message'
import notice from '../pages/notice'
Vue.use(Router)

export default new Router({
  mode: 'history',
  routes: [
    {
      path: '/result',
      name: 'result',
      component: result
    },
    {
      path: '/message',
      name: 'message',
      component: message
    },
    {
      path: '/notice',
      name: 'notice',
      component: notice
    },
    {
      path: '*',
      redirect: '/'
    },
    {
      path: '/',
      name: 'error',
      component: error
    }
  ]
})