import Vue from 'vue';
import Router from 'vue-router';
import VueResource from 'vue-resource';

const error = resolve => require(['@/pages/error.vue'], resolve);
const result = resolve => require(['@/pages/result.vue'], resolve);
const message = resolve => require(['@/pages/message.vue'], resolve);

Vue.use(Router);

export default new Router({
  mode: 'history',
  routes: [
    {
      path: '/result',
      name: 'result',
      component: result
    },
    {
      path: '/message',
      name: 'message',
      component: message
    },{
      path: '/',
      name: 'error',
      component: error
    }
  ]
})
